local function pRequire(modulName)
	 local state, result_or_error = pcall(require, modulName)
	 if state then
	 return result_or_error
	 else
	 return nil, result_or_error
	 end
end

function data()
	return {
		info = {
			minorVersion = 1,
			severityAdd = "NONE",
			severityRemove = "NONE",
			name = _("Stonewall Asset Addon"),
			description = _("Natursteinmauer als Assets"),
			tags = { "Misc", "Asset", "Construction", "Fence",},
    authors = {                                       
        {
            name = "Ingo 1111",
            role = "CREATOR",
            text = 'Texturen, Konvertierung',
        },                                     
		},
		dependencies = { "snowball_fences_1" },
		modid = "ingo_stonewall_asset_addon_1",
		
		requiredMods = { -- optional, Informationen über geladene Mods
			{ -- Angaben über einen oder mehrere Mods
				modId= "snowball_fences_1", -- optional, modid
				steamId = 1957631242, -- optional, steam workshop id 
				tfnetId = 5041, -- optional, id der Webdisk auf transportfever.net
				url = "https://www.transportfever.net/filebase/index.php?entry/5041-z%C3%A4une/", -- optional, url zum Download der Mod
				minMinorVersion = 8 -- optional, minimale minorVersion
			}, -- optional, weitere Mods, durch Komma getrennt
		},
		
  		visible = true,
		
		
	},
	runFn = function (settings)
		local fences = pRequire("snowball/fences/main")
		if ((type(fences) == "table") and (type(fences.fences) == "table")) then
			fences.fences["ingo_naturmauer_ziehbar"] = {
				{
					post = nil, 
					middle = "naturmauer/naturmauer_ziehbar.mdl",
					decoration = nil,
					length = 4,
					offset = {0.5,0.5,0.50},
					invertedModel = true,
				},
				{
					post = nil, 
					middle = "naturmauer/naturmauer_ziehbar_05.mdl",
					decoration = nil,
					length = 2,
					offset = {0.5,0.5,0.50},
					invertedModel = true,
				},
				{
					post = nil, 
					middle = "naturmauer/naturmauer_ziehbar_2.mdl",
					decoration = nil,
					length = 8,
					offset = {0.5,0.5,0.50},
					invertedModel = true,
				},
				{
					post = nil, 
					middle = "naturmauer/naturmauer_ziehbar_3.mdl",
					decoration = nil,
					length = 12,
					offset = {0.5,0.5,0.50},
					invertedModel = true,
				},
			}
		end	
		
	end,
}
end